<!--
  The context has a key named "names" in it
  that is a list of names.

  Only output the name in the ordered list
  if the name has a length greater than
  3. Follow the pseudocode for help.
-->
<!doctype html>
<html lang="en">

<head>
  <title>Problem 010</title>
</head>

<body>
  <main>
    <!--
        Build the ORDERED list of names with
        names that are longer than 3 characters.
      -->
    <ol>
      <!-- for each name in names -->
      {% for name in names %}

      <!-- if name|length > 3 -->
      {% if name|length > 3 %}

      <li>{{ name }}</li>
      <!-- end if -->
      {% endif %}

      <!-- end for -->
      {% endfor %}

    </ol>
  </main>
</body>

</html>